VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::vapi::metadata::metamodel::UserDefinedType Class Reference

The `UserDefinedType` class contains the metamodel type information of a typed element whose type is a user defined named type. More...

List of all members.

## Public Member Functions
| UserDefinedType ()
| Creates a default new instance.
string | GetResourceType ()
| Category of the user defined named type.
void | SetResourceType (string resourceType)
| Category of the user defined named type.
string | GetResourceId ()
| Identifier of the user defined named type.
void | SetResourceId (string resourceId)
| Identifier of the user defined named type.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

The `UserDefinedType` class contains the metamodel type information of a typed element whose type is a user defined named type.

## Constructor & Destructor Documentation

vmware::vapi::metadata::metamodel::UserDefinedType::UserDefinedType | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::vapi::metadata::metamodel::UserDefinedType::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::vapi::metadata::metamodel::UserDefinedType::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::vapi::metadata::metamodel::UserDefinedType::_GetType | ( |  | ) | `[inline]`

bool vmware::vapi::metadata::metamodel::UserDefinedType::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::vapi::metadata::metamodel::UserDefinedType::_Validate | ( |  | ) | `[inline]`

override bool vmware::vapi::metadata::metamodel::UserDefinedType::Equals | ( | object | obj | ) | `[inline]`

override int vmware::vapi::metadata::metamodel::UserDefinedType::GetHashCode | ( |  | ) | `[inline]`

string vmware::vapi::metadata::metamodel::UserDefinedType::GetResourceId | ( |  | ) | `[inline]`

Identifier of the user defined named type.

When clients pass a value of this class as a parameter, the field must be an identifier for one of these resource types: `com.vmware.vapi.structure` or `com.vmware.vapi.enumeration` . When methods return a value of this class as a result, the field will be an identifier for one of these resource types: `com.vmware.vapi.structure` or `com.vmware.vapi.enumeration`

string vmware::vapi::metadata::metamodel::UserDefinedType::GetResourceType | ( |  | ) | `[inline]`

Category of the user defined named type.

The named type could be a structure element or an enumeration element. When clients pass a value of this class as a parameter, the field must be one of `com.vmware.vapi.structure` or `com.vmware.vapi.enumeration` . When methods return a value of this class as a result, the field will be one of `com.vmware.vapi.structure` or `com.vmware.vapi.enumeration`

void vmware::vapi::metadata::metamodel::UserDefinedType::SetResourceId | ( | string | resourceId | ) | `[inline]`

Identifier of the user defined named type.

When clients pass a value of this class as a parameter, the field must be an identifier for one of these resource types: `com.vmware.vapi.structure` or `com.vmware.vapi.enumeration` . When methods return a value of this class as a result, the field will be an identifier for one of these resource types: `com.vmware.vapi.structure` or `com.vmware.vapi.enumeration`

void vmware::vapi::metadata::metamodel::UserDefinedType::SetResourceType | ( | string | resourceType | ) | `[inline]`

Category of the user defined named type.

The named type could be a structure element or an enumeration element. When clients pass a value of this class as a parameter, the field must be one of `com.vmware.vapi.structure` or `com.vmware.vapi.enumeration` . When methods return a value of this class as a result, the field will be one of `com.vmware.vapi.structure` or `com.vmware.vapi.enumeration`

override string vmware::vapi::metadata::metamodel::UserDefinedType::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- UserDefinedType.cs